Is it possible to suppress an occurrence of a pattern in part environment using iLogic? I saw something for assembly environment, but I can't make it work for part. My iLogic knowledge is quite basic.
I'm trying to use ilogic to suppress some individual elements of a pattern but i couldn't find any command that can target component pattern elements. When i try to capture its current state with the right click menu it does nothing.
I can of course suppress the part within the element but then it doesn't update the BOM.
I have set iLogic to change a rectangular pattern to a certain amount of occurrences depending on which is selected , i.e. 117 cavities, 140 cavities and 96 cavities. Only one is active (or unsuppressed ) at a time.
What I need to do is suppress the 4 corners of each pattern, considering there's only one pattern and is dynamic.
I have a rectangular component pattern which started out with all components. As more structure was added around it I started supressing different elements to suit, now a piece of structure has gone thru element 1 but i dont seem to be able to supress it... is there an easy way to get rid of element 1 without having to redefine the pattern? (redefining causes me other problems)
Lets say you have 100 Keps Nuts in an assembly. Named (KepsNut1,KepsNut2, etc)And you want to suppress them on and off.
Would there be a way to make an array 1-100 and just say suppress/unsupress "KepsNut" & array list of numbers.To basically add the two strings and find all the components in that array and turn them off or on.!
I am trying to suppress part that are labeled as "Reference" on the BOM Strutcture and I can't get the program to cycle through the subassemblies. The following code runs through all the components on the top-level assembly but I can't get it to cycle through the subassemblies.
oCompDef = ThisDoc.Document.ComponentDefinitionoAssemblyComponents = oCompDef.OccurrencesDim oOccurrence As ComponentOccurrenceDim oSubOccurrence1 As ComponentOccurrenceFor Each oOccurrence In oAssemblyComponents If (oOccurrence.BOMStructure = BOMStructureEnum.kReferenceBOMStructure) Then Component.IsActive(oOccurrence.Name) = False Else Component.IsActive(oOccurrence.Name) = True End IfNext
I have a couple of dozen features in my part, of which only one will be active at any time. The feature tree may be subject to additions, so I am looking for an ilogic rule that will first suppress all of the features in the part, and then switch on the specific feature I require (using a parameter). Any code to suppress ALL features?
I need to be able to suppress individual elements of a circular pattern so I can retain the angular orientation while being able to reduce the number of instances. I have found how to suppress the entire circular pattern, but can't seem to get the right terminology to access the elements one at a time.
The code I have to suppress the entire pattern is Feature.InventorFeature("Circular Pattern").Suppressed = True.
I have a pattern of holes (exactly 3) on an object and when the object height changes so does the pattern base on height. My issue is that i need to create a rule or code that ensures that apart from the first hole (which is fixed), the remaining two holes are at a location that is divisible by 6. The reason being that this is a sheet metal part and our punch press has a template for aligning punches at every 6 IN.
We are using iLogic to automate some of our designs and the code is needed to eliminate having to worry if the punches are at the correct location for faster production.
I've noticed that one can turn off the visibility of an entire component pattern by manually right-clicking the pattern in the browser and unchecking "Visibility". However, when one tries to automate this process with the following code, only the first element of the pattern is made invisible.
Is there a better way to do this, or will I be forced to develop a "workaround" like first changing the number of elements to 1?
I've been desperately trying to find a way to "turn off" unneeded assembly components without iAssemblies or LOD's, but Inventor always finds a way to stop me. This workflow of turning off visibility and setting BOM status to "Reference" would work if only I can make patterns invisible, also.
I attached the iLogic code which is automatically creating dwg drawing (script borrowed from one of the discussion group users), also it creates 4 views. I`m just wondering how to add flat pattern ?
I have a pattern of reference components, but the quantity of the pattern can change based on certain criteria. When the quantity increases or decreases, I need each pattern element to have its BOM structure set to reference.
The problem is, even if the original pattern element is set to reference, each subsequent element comes in as normal. This causes the BOM quantities for that component to be reported incorrectly in higher assemblies.
Is there some iLogic or VBA code that will automatically set each component in a pattern to BOM structure "Reference", even if the pattern quantity changes?
How to modify the code below to delete suppressed parts in a pattern (entire pattern)?
Dim oComp As ComponentOccurrenceDim oComps As ComponentOccurrencesoComps = ThisDoc.Document.ComponentDefinition.OccurrencesFor Each oComp In oCompsIf Component.IsActive(oComp.Name) = False Then oComp.DeleteNext
Code works fine if there are single instances of the part. It throws a error when you have a suppressed pattern.
I made a flanged connection using I logic. Very simple Tube + Flange + Gasket + Blind flange + Bolting.Then I tried to write some ilogic rule to have Blind flange on / off when needed, hence the Gasket & Bolting also need to be off. Like in these images:
That works fine visually, but I also want the BOM to be set accordingly. For the Blind flange & Gasket my BOM is OK. But for my bolting the BOM is not OK. I tried to set the BOM structure the same way as the visibility but that failed. It only subtracted 1 bolt from my list (see code)
If Blindflange_status = 0 Then 'Bolting offComponent.InventorComponent("Bolting:1").BOMStructure = BOMStructureEnum.kReferenceBOMStructure 'Sets BOM Structure to Reference (Remove from BOM)Component.Visible("Bolting:1") = FalseElse 'Bolting onComponent.InventorComponent("Bolting:1").BOMStructure = BOMStructureEnum.kDefaultBOMStructure 'Sets BOM Structure to Reference (Remove from BOM)Component.Visible("Bolting:1") = TrueEnd If
Is there a way to set all parts within a pattern BOM structure? I made my bolting by adding 1 bolt, 1 washer & 1 nut and then pattern them using feature pattern select.
Since I used Autodesk Inventor 2013 last year, I had an question about numbering en renumbering the count of elements in patterns.
I had an assembly with iLogic for placing and replacing elements, suppressing parts and edit dimensions of parts in 1 assembly. Sometimes, 1 suppressed pattern must be un-suppressed. Before doing this, I would like to set the pattern count and distances between pattern elements in the pattern. How can I do it by using iLogic?
I made a flanged connection using I logic. Very simple Tube + Flange + Gasket + Blind flange + Bolting.
Then I tried to write some ilogic rule to have Blind flange on / off when needed, hence the Gasket & Bolting also need to be off. Like in these images:
That works fine visually, but I also want the BOM to be set accordingly. For the Blind flange & Gasket my BOM is OK. But for my bolting the BOM is not OK.
I tried to set the BOM structure the same way as the visibility but that failed. It only subtracted 1 bolt from my list (see code)
If Blindflange_status = 0 Then 'Bolting offComponent.InventorComponent("Bolting:1").BOMStructure = BOMStructureEnum.kReferenceBOMStructure 'Sets BOM Structure to Reference (Remove from BOM)Component.Visible("Bolting:1") = FalseElse 'Bolting onComponent.InventorComponent("Bolting:1").BOMStructure = BOMStructureEnum.kDefaultBOMStructure 'Sets BOM Structure to Reference (Remove from BOM)Component.Visible("Bolting:1") = TrueEnd If
Is there a way to set all parts within a pattern BOM structure?
I made my bolting by adding 1 bolt, 1 washer & 1 nut and then pattern them using feature pattern select. Inventor 2013
How to make Automatic Update propeties for Flat Pattern Extens. I have write code and setting rules trigerred by event (Before save, Any model Parameter Change) but if some parameter change properties isn't automatic update. So could some one tell me how to solve this problem.
I have read all the topics about rule that save flat pattern (.ipt) as .dxf file. Unfortunately, It doesn't work with Inventor 2012. I found rule by Rob Cohee and it works but it saves all lines. I need dxf file with only outer and inner profile, no bend lines.
I have a simple iPart, with driven parameters Length and Width. When length changes (from a multi-value list), the spacing on a pattern and the number of occurrences of that pattern also change.
Invariably, it requires a rebuild. Occasionally, it requires two rebuilds. As this part is in a second-level subassembly, opening the part, rebuilding it, then rebuilding its assembly, then rebuilding the top-level is consumptive.
I've been using iLogic and iParts for about a week now, so I might be missing something basic. File attached.
I am completely new to ilogic but would like to make a rule in my idw file that change the hatch pattern in a section of a specific material.
Short Version:
I have an aluminum extrusion part. Material is set to Aluminum-6061. In any section view of this part I want the hatch to be ANSI 31 with a rotation of 45 degrees and a scale of .02 How do I do this?
I created an iLogic rule that allows in a sheet metal part to the informations Length, widht and area of a flat pattern. This rule run and the iproerties are created (see attachment file).
Now, I will run this rule from an assembly file to create automatically, in all sheet metal components, theses iproperties.
Is it possible ? what must I change in this rule ?